Upload API¶
2 confirmed endpoints — 2 respond with data, 0 require valid input.
Endpoints with Response Data¶
GET /config/api/v1/config/defaultUploadLocation¶
Get the default upload location in the system
✅ Live — responds with data
Sample Response:
{
"id": "044615b9-16d4-4086-92a4-a4d94ed08781",
"name": "mimir-stg-upload-1",
"areCredentialsSaved": true,
"type": "s3Bucket",
"pathPrefix": "upload/",
"deleteEnabled": true,
"accessType": "assume-role",
"externalId": "dmVyc2FudHN0YWdpbmcjMjMyNjFmNzgtMmQyMS00NTU2LTgwNmUtZmRhZTFlNmQxZDll"
}
Response Schema:
| Field | Type | Required |
|---|---|---|
accessType |
string | Yes |
areCredentialsSaved |
boolean | Yes |
deleteEnabled |
boolean | Yes |
externalId |
string | Yes |
id |
string | Yes |
name |
string | Yes |
pathPrefix |
string | Yes |
type |
string | Yes |
GET /config/api/v1/config/uploadLocations¶
Get all upload locations in the system
✅ Live — responds with data
Sample Response:
[
{
"id": "3e4cea64-2ece-4d30-9fe9-67d12c91d272",
"modifiedOn": "2026-03-26T18:06:33.353Z",
"endpoint": "https://kelda.vmprodcloud.com",
"bucketName": "uploaded",
"accessKey": "Kx9mT4vRbW3nYqPz",
"deleteEnabled": true,
"keldaId": "b6f26d25-433e-4d69-a8f1-e1f74aec27d2",
"lastS3ServerKeysUploadedAt": "2026-03-26T17:56:14.858Z",
"keldaName": "staging-vmprodcloud"
},
{
"id": "c0d8d4fc-e6b7-4873-a710-65f30e47689f",
"title": "external_upload_ingest",
"ingestConfigType": "default_upload_location",
"isDisabled": false,
"storageProvider": "s3_native",
"sourceBucket": "ct-prod-media-881862422817",
"sourceKeyPrefix": "upload/",
"accessType": "assume-role",
"externalId": "dmVyc2FudHN0YWdpbmcjMDEwMWUwMDgtZDc4NS00YzZjLWI1NDktYTFjOWJjZWZhMjgy",
"ingestFileExtensions": "*",
"confidence": 90,
"analyticConfig": {
"textDetectionEnabled": false,
"labelDetectionEnabled": false,
"personDetectionEnabled": false,
"celebrityDetectionEnabled": false,
"transcriptionEnabled": false
},
"enableS3Acceleration": true,
"deleteEnabled": true,
"skipProcessing": false,
"tenantId": "versantstaging",
"accessKey": "arn:aws:iam::881862422817:role/mimir-kelda-s3-access",
"areCredentialsSaved": true
},
{
"id": "f30f9d2d-6d49-4bde-918c-236ff2dfb5dd",
"title": "external_upload_ingest",
"ingestConfigType": "default_upload_location",
"isDisabled": false,
"storageProvider": "s3_native",
"sourceBucket": "mimir-field-upload-poc",
"sourceKeyPrefix": "upload/",
"accessType": "assume-role",
"externalId": "dmVyc2FudHN0YWdpbmcjNGQxYzQ5NTktODNjNS00OTU4LTgzOGEtMmFmZmVkZGFkYWZi",
"ingestFileExtensions": "*",
"confidence": 90,
"analyticConfig": {
"textDetectionEnabled": false,
"labelDetectionEnabled": false,
"personDetectionEnabled": false,
"celebrityDetectionEnabled": false,
"transcriptionEnabled": false
},
"enableS3Acceleration": true,
"deleteEnabled": false,
"skipProcessing": false,
"tenantId": "versantstaging",
"accessKey": "arn:aws:iam::533267158081:role/MimirFieldUploadRole",
"areCredentialsSaved": true
},
{
"id": "044615b9-16d4-4086-92a4-a4d94ed08781",
"title": "external_upload_ingest",
"ingestConfigType": "default_upload_location",
"isDisabled": false,
"storageProvider": "s3_native",
"sourceBucket": "mimir-stg-upload-1",
"sourceKeyPrefix": "upload/",
"accessType": "assume-role",
"externalId": "dmVyc2FudHN0YWdpbmcjMjMyNjFmNzgtMmQyMS00NTU2LTgwNmUtZmRhZTFlNmQxZDll",
"ingestFileExtensions": "*",
"confidence": 90,
"analyticConfig": {
"textDetectionEnabled": false,
"labelDetectionEnabled": false,
"personDetectionEnabled": false,
"celebrityDetectionEnabled": false,
"transcriptionEnabled": false
},
"enableS3Acceleration": false,
"deleteEnabled": true,
"s
Not Found¶
| Method | Path | Code |
|---|---|---|
GET |
/api/v1/items/{id}/uploadLock |
404 |
GET |
/api/v1/upload |
404 |
GET |
/api/v1/upload/locations |
404 |
GET |
/api/v1/upload/locations/default |
404 |
POST |
/config/api/v1/config/defaultUploadLocation |
404 |